package com.steerinfo.pretrack.prehookscale.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="吊钩秤计量委托表")
public class PreHookScale implements IBasePO<String> {
    /**
     * 委托编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="委托编号",required=true)
    private String predictionNo;

    /**
     * 通知单号(NOTICE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="通知单号",required=false)
    private String noticeNo;

    /**
     * 车号(RAILWAY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=false)
    private String railwayNo;

    /**
     * 车厢序号(RAILWAY_CARRIAGE_NO,VARCHAR,5)
     */
    @ApiModelProperty(value="车厢序号",required=false)
    private String railwayCarriageNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 合同号(CONTRACT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="合同号",required=false)
    private String contractNo;

    /**
     * 批次号(BATCH_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="批次号",required=false)
    private String batchNo;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 原产地(SOURCE_AREA,VARCHAR,50)
     */
    @ApiModelProperty(value="原产地",required=false)
    private String sourceArea;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 材质编号(MATERIAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="材质编号",required=false)
    private String materialNo;

    /**
     * 材质名称(MATERIAL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="材质名称",required=false)
    private String materialName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 发运毛重(SHIPMENT_GROSS_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运毛重",required=false)
    private BigDecimal shipmentGrossWeight;

    /**
     * 发运净重(SHIPMENT_NET_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="发运净重",required=false)
    private BigDecimal shipmentNetWeight;

    /**
     * 发运数量(SHIPMENT_NUM,DECIMAL,5)
     */
    @ApiModelProperty(value="发运数量",required=false)
    private Integer shipmentNum;

    /**
     * 卸货地点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="卸货地点编号",required=false)
    private String loadPointNo;

    /**
     * 卸货地点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="卸货地点名称",required=false)
    private String loadPointName;

    /**
     * 取样编号(SAMPLE_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="取样编号",required=false)
    private String sampleNo;

    /**
     * 取样凭证(SAMPLE_VOUCHER,VARCHAR,40)
     */
    @ApiModelProperty(value="取样凭证",required=false)
    private String sampleVoucher;

    /**
     * 承运单位编号(CARRIER_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="承运单位编号",required=false)
    private String carrierUnitNo;

    /**
     * 承运单位名称(CARRIER_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="承运单位名称",required=false)
    private String carrierUnitName;

    /**
     * 预报类型(PREDICTION_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="预报类型",required=false)
    private String predictionType;

    /**
     * 预报组合(PREDICTION_COMBINATION,VARCHAR,100)
     */
    @ApiModelProperty(value="预报组合",required=false)
    private String predictionCombination;

    /**
     * 计量类型编号(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号",required=true)
    private String meterTypeNo;

    /**
     * 计量类型名称(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称",required=true)
    private String meterTypeName;

    /**
     * 有效开始时间(EFFECTIVE_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效开始时间",required=false)
    private Date effectiveStartTime;

    /**
     * 有效结束时间(EFFECTIVE_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效结束时间",required=false)
    private Date effectiveEndTime;

    /**
     * 轨道衡类型编号(RAILWAY_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="轨道衡类型编号",required=true)
    private String railwayTypeNo;

    /**
     * 轨道衡类型名称(RAILWAY_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="轨道衡类型名称",required=true)
    private String railwayTypeName;

    /**
     * 备注,0为砂石，1为选矿(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注,0为砂石，1为选矿",required=false)
    private String memo;

    /**
     * 状态(0：未配车；1：未使用；2：已使用；3：已作废；4：正使用)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(0：未配车；1：未使用；2：已使用；3：已作废；4：正使用)",required=true)
    private String valueFlag;

    /**
     * 使用时间(USED_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="使用时间",required=false)
    private Date usedTime;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 前状态(P_VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="前状态",required=false)
    private String pValueFlag;

    /**
     * 是否危化品(IS_CHEMICAL,VARCHAR,1)
     */
    @ApiModelProperty(value="是否危化品",required=false)
    private String isChemical;

    /**
     * 限载重量(LIMIT_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="限载重量",required=false)
    private BigDecimal limitWeight;

    /**
     * 车型编号(RAILWAY_MODEL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车型编号",required=false)
    private String railwayModelNo;

    /**
     * 车型名称(RAILWAY_MODEL_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="车型名称",required=false)
    private String railwayModelName;

    /**
     * 到站(ARRIVAL,VARCHAR,40)
     */
    @ApiModelProperty(value="到站",required=false)
    private String arrival;

    /**
     * 发站(STATION,VARCHAR,40)
     */
    @ApiModelProperty(value="发站",required=false)
    private String station;

    /**
     * 上传状态（1=待上传；0=已上传 ）(UPLOAD_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="上传状态（1=待上传；0=已上传 ）",required=false)
    private String uploadFlag;

    /**
     * 委托撤销状态（0：正常, 1：已撤回）(CANCEL_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="委托撤销状态（0：正常, 1：已撤回）",required=false)
    private String cancelType;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.predictionNo;
    }

    @Override
    public void setId(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo == null ? null : noticeNo.trim();
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public String getRailwayCarriageNo() {
        return railwayCarriageNo;
    }

    public void setRailwayCarriageNo(String railwayCarriageNo) {
        this.railwayCarriageNo = railwayCarriageNo == null ? null : railwayCarriageNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo == null ? null : contractNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getSourceArea() {
        return sourceArea;
    }

    public void setSourceArea(String sourceArea) {
        this.sourceArea = sourceArea == null ? null : sourceArea.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public BigDecimal getShipmentGrossWeight() {
        return shipmentGrossWeight;
    }

    public void setShipmentGrossWeight(BigDecimal shipmentGrossWeight) {
        this.shipmentGrossWeight = shipmentGrossWeight;
    }

    public BigDecimal getShipmentNetWeight() {
        return shipmentNetWeight;
    }

    public void setShipmentNetWeight(BigDecimal shipmentNetWeight) {
        this.shipmentNetWeight = shipmentNetWeight;
    }

    public Integer getShipmentNum() {
        return shipmentNum;
    }

    public void setShipmentNum(Integer shipmentNum) {
        this.shipmentNum = shipmentNum;
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getSampleNo() {
        return sampleNo;
    }

    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo == null ? null : sampleNo.trim();
    }

    public String getSampleVoucher() {
        return sampleVoucher;
    }

    public void setSampleVoucher(String sampleVoucher) {
        this.sampleVoucher = sampleVoucher == null ? null : sampleVoucher.trim();
    }

    public String getCarrierUnitNo() {
        return carrierUnitNo;
    }

    public void setCarrierUnitNo(String carrierUnitNo) {
        this.carrierUnitNo = carrierUnitNo == null ? null : carrierUnitNo.trim();
    }

    public String getCarrierUnitName() {
        return carrierUnitName;
    }

    public void setCarrierUnitName(String carrierUnitName) {
        this.carrierUnitName = carrierUnitName == null ? null : carrierUnitName.trim();
    }

    public String getPredictionType() {
        return predictionType;
    }

    public void setPredictionType(String predictionType) {
        this.predictionType = predictionType == null ? null : predictionType.trim();
    }

    public String getPredictionCombination() {
        return predictionCombination;
    }

    public void setPredictionCombination(String predictionCombination) {
        this.predictionCombination = predictionCombination == null ? null : predictionCombination.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public Date getEffectiveStartTime() {
        return effectiveStartTime;
    }

    public void setEffectiveStartTime(Date effectiveStartTime) {
        this.effectiveStartTime = effectiveStartTime;
    }

    public Date getEffectiveEndTime() {
        return effectiveEndTime;
    }

    public void setEffectiveEndTime(Date effectiveEndTime) {
        this.effectiveEndTime = effectiveEndTime;
    }

    public String getRailwayTypeNo() {
        return railwayTypeNo;
    }

    public void setRailwayTypeNo(String railwayTypeNo) {
        this.railwayTypeNo = railwayTypeNo == null ? null : railwayTypeNo.trim();
    }

    public String getRailwayTypeName() {
        return railwayTypeName;
    }

    public void setRailwayTypeName(String railwayTypeName) {
        this.railwayTypeName = railwayTypeName == null ? null : railwayTypeName.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public Date getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Date usedTime) {
        this.usedTime = usedTime;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getpValueFlag() {
        return pValueFlag;
    }

    public void setpValueFlag(String pValueFlag) {
        this.pValueFlag = pValueFlag == null ? null : pValueFlag.trim();
    }

    public String getIsChemical() {
        return isChemical;
    }

    public void setIsChemical(String isChemical) {
        this.isChemical = isChemical == null ? null : isChemical.trim();
    }

    public BigDecimal getLimitWeight() {
        return limitWeight;
    }

    public void setLimitWeight(BigDecimal limitWeight) {
        this.limitWeight = limitWeight;
    }

    public String getRailwayModelNo() {
        return railwayModelNo;
    }

    public void setRailwayModelNo(String railwayModelNo) {
        this.railwayModelNo = railwayModelNo == null ? null : railwayModelNo.trim();
    }

    public String getRailwayModelName() {
        return railwayModelName;
    }

    public void setRailwayModelName(String railwayModelName) {
        this.railwayModelName = railwayModelName == null ? null : railwayModelName.trim();
    }

    public String getArrival() {
        return arrival;
    }

    public void setArrival(String arrival) {
        this.arrival = arrival == null ? null : arrival.trim();
    }

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station == null ? null : station.trim();
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag == null ? null : uploadFlag.trim();
    }

    public String getCancelType() {
        return cancelType;
    }

    public void setCancelType(String cancelType) {
        this.cancelType = cancelType == null ? null : cancelType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", noticeNo=").append(noticeNo);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", railwayCarriageNo=").append(railwayCarriageNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", contractNo=").append(contractNo);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", sourceArea=").append(sourceArea);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", materialNo=").append(materialNo);
        sb.append(", materialName=").append(materialName);
        sb.append(", specNo=").append(specNo);
        sb.append(", specName=").append(specName);
        sb.append(", shipmentGrossWeight=").append(shipmentGrossWeight);
        sb.append(", shipmentNetWeight=").append(shipmentNetWeight);
        sb.append(", shipmentNum=").append(shipmentNum);
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", sampleNo=").append(sampleNo);
        sb.append(", sampleVoucher=").append(sampleVoucher);
        sb.append(", carrierUnitNo=").append(carrierUnitNo);
        sb.append(", carrierUnitName=").append(carrierUnitName);
        sb.append(", predictionType=").append(predictionType);
        sb.append(", predictionCombination=").append(predictionCombination);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", effectiveStartTime=").append(effectiveStartTime);
        sb.append(", effectiveEndTime=").append(effectiveEndTime);
        sb.append(", railwayTypeNo=").append(railwayTypeNo);
        sb.append(", railwayTypeName=").append(railwayTypeName);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", usedTime=").append(usedTime);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", pValueFlag=").append(pValueFlag);
        sb.append(", isChemical=").append(isChemical);
        sb.append(", limitWeight=").append(limitWeight);
        sb.append(", railwayModelNo=").append(railwayModelNo);
        sb.append(", railwayModelName=").append(railwayModelName);
        sb.append(", arrival=").append(arrival);
        sb.append(", station=").append(station);
        sb.append(", uploadFlag=").append(uploadFlag);
        sb.append(", cancelType=").append(cancelType);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}